# Uses of Class
org.xnio.ByteBufferPool

Packages that use ByteBufferPool
Package
Description
org.xnio
The main API package for XNIO.

## Uses of ByteBufferPool in org.xnio

Fields in org.xnio declared as ByteBufferPool
Modifier and Type
Field
Description
`static final ByteBufferPool`
ByteBufferPool.`LARGE_DIRECT`
The large direct buffer pool.
`static final ByteBufferPool`
ByteBufferPool.`LARGE_HEAP`
The large heap buffer pool.
`static final ByteBufferPool`
ByteBufferPool.`MEDIUM_DIRECT`
The medium direct buffer pool.
`static final ByteBufferPool`
ByteBufferPool.`MEDIUM_HEAP`
The medium heap buffer pool.
`static final ByteBufferPool`
ByteBufferPool.`SMALL_DIRECT`
The small direct buffer pool.
`static final ByteBufferPool`
ByteBufferPool.`SMALL_HEAP`
The small heap buffer pool.
Methods in org.xnio that return ByteBufferPool
Modifier and Type
Method
Description
`ByteBufferPool`
ByteBufferPool.Set.`getLarge()`
Get the large buffer pool for this set.
`ByteBufferPool`
ByteBufferPool.Set.`getNormal()`
Get the medium buffer pool for this set.
`ByteBufferPool`
ByteBufferPool.Set.`getSmall()`
Get the small buffer pool for this set.